var worldtopomap=L.tileLayer('http://server.arcgisonline.com/ArcGIS/rest/services/World_Topo_Map/MapServer/tile/{z}/{y}/{x}',{name:"worldtopomap"});
var worldimagery=L.tileLayer('http://server.arcgisonline.com/ArcGIS/rest/services/World_Imagery/MapServer/tile/{z}/{y}/{x}',{minZoom:5,maxZoom:20,name:"worldimagery"});
var osm=L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',{name:"osm",subdomains:"abc"});
var Mapy_cz_základní=L.tileLayer('http://localhost:54386/mapycz/base-m/{z}-{x}-{y}',{minZoom:5,maxZoom:18,subdomains:"1234",attribution:""});
var Mapy_cz_letecká=L.tileLayer('http://localhost:54386/mapycz/ophoto-m/{z}-{x}-{y}',{minZoom:5,maxZoom:20,subdomains:"1234",attribution:""});
var hike=L.tileLayer('https://webtiles.timepress.cz/open/hike_256/{z}/{x}/{y}',{name:"hike",attribution:"Cykloserver",tileSize:256,minZoom:7,maxZoom:20,ignore:false});
var googlemapssat=L.tileLayer('https://mt.google.com/vt?lyrs=s&x={x}&y={y}&z={z}',{name:"googlemapssat",attribution:"",subdomains:"1234",tileSize:256,maxZoom:22});
var googlemaps=L.tileLayer('https://mt.google.com/vt?&x={x}&y={y}&z={z}',{name:"googlemaps",attribution:"",subdomains:"1234",tileSize:256,maxZoom:22});
var Freemap_CZSKHU=L.tileLayer('https://outdoor.tiles.freemap.sk/{z}/{x}/{y}',{minZoom:5,maxZoom:19,subdomains:"1234",attribution:""});
var cyklo=L.tileLayer('https://webtiles.timepress.cz/open/cyklo_256/{z}/{x}/{y}',{name:"cyklo",attribution:"Cykloserver",tileSize:256,minZoom:7,maxZoom:20,ignore:false});
var baseMaps = {"WorldTopoMap": worldtopomap,"WorldImagery": worldimagery,"OpenStreetMap": osm,"Mapy.cz základní": Mapy_cz_základní,"Mapy.cz letecká": Mapy_cz_letecká,"Hike": hike,"Google Satellite": googlemapssat,"Google Maps": googlemaps,"Freemap CZSKHU": Freemap_CZSKHU,"Cyklo": cyklo};
var Cyklooverlay=L.tileLayer('https://tile.waymarkedtrails.org/cycling/{z}/{x}/{y}.png',{attribution:"cyklo",minZoom:10,maxZoom:21,overlay:true});
var Vrstevnice=L.tileLayer('https://tiles.freemap.sk/contours/{z}/{x}/{y}.png',{attribution:"Contour",overlay:true,ignore:false});
var Lesné_cesty=L.tileLayer('http://gpsteam.eu/cache/nlcml/{z}/{x}/{y}.png',{attribution:"lc",overlay:true,ignore:false});
var Hillshading=L.tileLayer('http://{s}.tiles.wmflabs.org/hillshading/{z}/{x}/{y}.png',{subdomains:"abc",attribution:"",overlay:true});
var Hiking_Routes=L.tileLayer('https://tile.waymarkedtrails.org/hiking/{z}/{x}/{y}.png',{attribution:"TZT",overlay:true,ignore:false});
var Archivované_SkCz=L.tileLayer('http://mozigo.risko.org/overlay/{z}/{x}/{y}.png',{attribution:"MZ",minZoom:12,maxZoom:19,overlay:true,ignore:false});
var kese=L.tileLayer('http://tiles01.geocaching.com/map/map.png?x={x}&y={y}&z={z}&ep=1',{attribution: '&copy; GS',minZoom:7,maxZoom: 18});
var overlays = {"Cyklooverlay": Cyklooverlay,"Vrstevnice": Vrstevnice,"Lesné cesty": Lesné_cesty,"Hillshading": Hillshading,"Hiking Routes": Hiking_Routes,"Archivované SkCz": Archivované_SkCz,"Caches":kese};
var map = L.map('map', {center: [lll[0], lll[1]],zoom: zoo,layers: [worldtopomap,kese]});
